/* geostat.h */

#ifndef _GEOSTAT_H
#define _GEOSTAT_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum channel_enum { 
	GEOSTAT_CHNL_IR = 1, 
	GEOSTAT_CHNL_VIS = 2, 
	GEOSTAT_CHNL_WV = 3
} channel_t;

typedef enum geostat_err_enum { 
	GEOSTAT_ERR_OK = 0, 
	GEOSTAT_ERR_OUT_OF_RANGE = -1,
	GEOSTAT_ERR_BAD_INIT = -2,
	GEOSTAT_ERR_BAD_INPUT_COORD = -3
} geostat_err_t;

geostat_err_t geostat_init(const char *satellite);

geostat_err_t geostat_latlon_to_lincol_double(
	double latitude,
	double longitude,
	double *line,
	double *column);

geostat_err_t geostat_lincol_to_latlon_double(
	double line,
	double column,
	double *latitude,
	double *longitude);

geostat_err_t geostat_latlon_to_lincol(
	const double latitude,
	const double longitude,
	unsigned long *line,
	unsigned long *column);

geostat_err_t geostat_lincol_to_latlon(
	const unsigned long line,
	const unsigned long column,
	double *latitude,
	double *longitude);

geostat_err_t geostat_get_azimut_and_zenithal(
	const double latitude,
	const double longitude,
	double *azimut,
	double *zenithal);

#ifdef __cplusplus
}
#endif

#endif /* __GEOSTAT_H__ */
