#include "ntohll.h"

inline uint64_t ntohll(uint64_t n)
{
#if __BYTE_ORDER == __BIG_ENDIAN
	return n;
#elif __BYTE_ORDER == __LITTLE_ENDIAN
	return (((uint64_t)ntohl(n)) << 32) | ntohl(n >> 32);
#else
	#error "__BYTE_ORDER not defined on this system (should be __BIG_ENDIAN or __LITTLE_ENDIAN)"
#endif
}

inline uint64_t htonll(uint64_t n)
{
#if __BYTE_ORDER == _BIG_ENDIAN
	return n;
#elif __BYTE_ORDER == __LITTLE_ENDIAN
	return (((uint64_t)htonl(n)) << 32) | htonl(n >> 32);
#else
	#error "__BYTE_ORDER not defined on this system (should be __BIG_ENDIAN or __LITTLE_ENDIAN)"
#endif
}
