/* read_fis.h */

#ifndef READ_FIS_H
#define READ_FIS_H

/** \brief reads a FIS file (.fis extension), given its filename
 * @param filename name of the file to read
 * @param ppBuffer pointer to a grid of pixels allocated by <i>read_fis</i> (should be freed by the caller)
 * @param pNpix a pointer to a variable, in which <i>read_fis</i> will write the number of pixels found in <i>filename</i>
 * @param pPix_size a poitner to a variable, in which <i>read_fis</i> will write the number of bytes (1 or 2) found per pixel
 * @param log must be set to 1 to print errors on stderr
 * @return 0 if no error occured, -1 otherwise
 *
 */

int read_fis(const char *filename, void **ppBuffer, size_t *pNpix, size_t *pPix_size, const unsigned char log);

#endif
