/* sds_safnwc.h */

#ifndef SAFNWC_SDS_H
#define SAFNWC_SDS_H

#include "sds_props.h"

static sds_props_t sds[] = {
  /* name        data_type     rank        cal  cal_err  offset  offset_err */
  { "Time",      DFNT_UINT32,  2,          1.,  0.,      0.,     0. },
  { "Latitude",  DFNT_FLOAT32, 2,          1.,  0.,      0.,     0. },
  { "Longitude", DFNT_FLOAT32, 2,          1.,  0.,      0.,     0. },
  { "Row",       DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "Column",    DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "Cloud_Mask",              DFNT_UINT8,   2,          1.,  0.,      0.,     0. }, /* p1smglobe */
  /* { "p1sqglobe",            DFNT_UINT16,  2,          1.,  0.,      0.,     0. }, */ /* p1sqglobe */
  /* { "p1stglobe",            DFNT_UINT16,  2,          1.,  0.,      0.,     0. }, */ /* p1stglobe */
  { "Cloud_Phase_and_Quality", DFNT_UINT16,  2,          1.,  0.,      0.,     0. }, /* p2sqglobe */
  { "Cloud_Classification",    DFNT_UINT8,   2,          1.,  0.,      0.,     0. }, /* p2stglobe */
  { "Cloud_Height",            DFNT_UINT8,   2,          1.,  0.,      0.,     0. }, /* p3shglobe */
  { "Effective_Nebulosity",    DFNT_UINT8,   2,          1.,  0.,      0.,     0. }, /* p3snglobe */
  { "Cloud_Top_Pressure",      DFNT_UINT8,   2,          1.,  0.,      0.,     0. }, /* p3spglobe */
  /* { "Quality_2",            DFNT_UINT16,  2,          1.,  0.,      0.,     0. }, */ /* p3sqglobe */
  { "Cloud_Top_Temperature",   DFNT_UINT8,   2,          1.,  0.,      0.,     0. }  /* p3stglobe */
  
};

#define NUMBER_OF_SDS ( sizeof(sds)/sizeof(*sds) )

#endif
