/* msg_navigation.h */

#ifndef MSG_NAVIGATION_H
#define MSG_NAVIGATION_H

/* parameters used in the routines as given in Ref. [1] */
#define  PI                  3.14159265359
#define  SAT_HEIGHT      42164.0             /* distance from earth centre to 
satellite */
#define  R_EQ             6378.169           /* radius from earth centre to 
equator     */
#define  R_POL            6356.5838          /* radius from earth centre to pol         
*/
#define  SUB_LON             0.0             /* longitude of sub-satellite 
pouint       */
#define	 CFAC       -781648343               /* scaling coefficients (see 
note above)   */
#define	 LFAC       -781648343               /* scaling coefficients (see 
note above)   */
#define	 COFF             1856               /* scaling coefficients (see 
note above)   */
#define	 LOFF             1856               /* scaling coefficients (see 
note above)   */


/* function prototypes */
int nint(double val);
int pixcoord2geocoord(int column, int row, int coff, int loff, double *latitude, 
double *longitude);
int geocoord2pixcoord(double latitude, double longitude, int coff, int loff, int 
*column, int *row);



#endif
